Aller au contenu

Equivalent VLISP


l56
 Partager

Messages recommandés

Bonjour,

 

(tblsearch "LAYER" "0")

 

Renvoi :

((0 . "LAYER") (2 . "0") (70 . 0) (62 . 7) (6 . "Continuous"))

 

mais c'est une liste bien pauvre.

Il manque :

- la transparence

- l'épaisseur de ligne

- Etc ...

 

Peut-etre qu'avec VLISP ce doit etre possible ...

mais comment trouver l'équivalent en VLISP d'une fonction LISP ?

 

Merci à ceux qui savent

Cordialement,

Lien vers le commentaire
Partager sur d’autres sites

Salut,

 

Il y a 3 façons d'accéder aux propriétés d'un objet en LISP :

- les données DXF, c'est la méthode "classique" avec la fonction entget comme l'a montré didier.

- les propriétés COM/ActiveX, avec les fonctions vla-. On liste les propriétés avec la fonction vlax-dump-object :

(vl-load-com)
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
(setq layers (vla-get-Layers doc))
(vlax-dump-Object (vla-Item layers "0"))

- les propriétés ObjectARX exposées aux fonctions getpropertyvalue et setpropertyvalue qu'on peut lister avec la fonction dumpallproperties :

(dumpallproperties (tblobjname "layer" "0"))

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Lien vers le commentaire
Partager sur d’autres sites

  • 2 semaines après...

Créer un compte ou se connecter pour commenter

Vous devez être membre afin de pouvoir déposer un commentaire

Créer un compte

Créez un compte sur notre communauté. C’est facile !

Créer un nouveau compte

Se connecter

Vous avez déjà un compte ? Connectez-vous ici.

Connectez-vous maintenant
 Partager

×
×
  • Créer...

Information importante

Nous avons placé des cookies sur votre appareil pour aider à améliorer ce site. Vous pouvez choisir d’ajuster vos paramètres de cookie, sinon nous supposerons que vous êtes d’accord pour continuer. Politique de confidentialité